test v2 MN and CN buildouts
Status: Closed Start date: 2015-01-06

Priority: Normal Due date: 2015-01-07

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Subtasks:

Task # 6725: add new tests for v2 methods Closed

Task # 6726: deploy new MN WebTester Rejected

Task # 6731: test new tests against v1 MNs and CNs Closed

Task # 6736: determine reuse design / strategy Closed

Task # 6774: make test certificate subject labels (filenames) Windows compatible Closed

Task # 7065: Create functional tests for v2 SystemMetadata updating use cases. Closed

  Task # 7066: Come up with the different use cases that need to be tested Closed

  Task # 7067: Write the tests Closed

Task # 6724: refactor d1_integration for v2 Closed

  Task # 6727: refactor tests for reuse Closed

    Task # 6737: refactor existing API test classes Closed

  Task # 6728: adapt d1_integration classes to v2 libclient Closed

  Task # 6729: refactor architecture tests for v2 client Closed

Task # 7198: Implement integration tests for the new token authentication mechanisms Rejected

Related issues:

Related to Infrastructure - Story #7200: Integration test coverage for v1-v2 ... Closed 2015-06-16

Related to CN REST - Story #7197: Test changes to Node Registry Closed 2015-08-06

Associated revisions

Revision 15206 - 2015-02-11 21:07 - Andrei Buium

Mainly changed AbstractAuthorizationTestImplementations because it was working for MNs but was using the wrong certificate to call create() for

CNs. CNAuthTestImplementations needed updates for the same reason.

Also MNAuthorizationV2IT had a typo and was extending the wrong class, so I fixed that and did away with the setApiVersion().
Revision 15694 - 2015-05-28 22:48 - Andrei Buium

Committing a handful of test-related changes. Also added CNDiagnostic interface (though I didn't include it in v2 CNode interface's inheritance for

now, to avoid creating errors for others). CNDiagnostic has however been added to libclient's D1NodeFactory so we can have d1_integration's call

adapters create a node for that interface. The added test code is mainly for CNDiagnostic and MNPackage, plus helper methods in

ContextAwareTestCaseDataone, etc.
History

#1 - 2015-01-06 19:47 - Rob Nahf

- Assignee set to Rob Nahf

#2 - 2015-06-16 15:04 - Dave Vieglais

- Related to Task #7198: Implement integration tests for the new token authentication mechanisms added

#3 - 2015-06-16 15:04 - Dave Vieglais

- Related to Story #7200: Integration test coverage for v1-v2 and v2 functionality added

#4 - 2015-06-16 15:04 - Dave Vieglais

- Related to Story #7197: Test changes to Node Registry added

#5 - 2015-06-16 15:08 - Dave Vieglais

- Target version changed from CCI-2.0.0 to CCI-2.0-RC1

#6 - 2015-07-01 16:18 - Dave Vieglais

- Target version changed from CCI-2.0-RC1 to CCI-2.0.0

#7 - 2015-07-01 18:03 - Dave Vieglais

- Related to deleted (Task #7198: Implement integration tests for the new token authentication mechanisms)

#8 - 2015-10-18 00:11 - Rob Nahf

- % Done changed from 0 to 30

- Status changed from New to In Progress

#9 - 2015-10-18 00:11 - Rob Nahf

- Category set to d1_integration

#10 - 2016-03-25 01:21 - Dave Vieglais

- % Done changed from 30 to 100

- Status changed from In Progress to Closed
